Subject: Re: bug#9115: 24.0.50; `documentation' should not return args list for CL defun*.

From: Stefan Monnier <[email-masked]>
Date: Mon, 01 Aug 2011 17:33:17 -0400

>> Yes, it's a bit inconvenient.  But if you don't want the arglist, you
>> should pass the output of documentation through help-split-fundoc.
>> That should then return you the nil you're looking for.
> The cdr of help-split-fundoc return nil as expected for functions, CL-style
> function, but always nil for macros even if they are documented.

Hmm... I don't understand: help-split-fundoc doesn't care if the
docstring comes from a function, a macro, or a mushroom.  Or maybe
I don't understand what you're saying.  Can you show some detail of what
you do?

        Stefan